Subject: paster recommendation
From: "Mike" <[email-masked]>
To: "Renee Berry" <[email-masked]>
Date: Thu, 5 Jun 2008 14:27:17 -0400

Renee,
I just spoke with the girl's school and Christy Sochey said she still has not received the Pastor's recommendation form.  Ricardo told me (and Eva told Celeste) that the form was completed and faxed in to the school the day or next after they received it.  Anyway, can you have the attached form filled out and re-faxed for us?  I talked to Ricardo (since the start of this email) and he confirmed that it was sent.  He said he would look for it but in the mean time just send over a new copy (which I have attached).  Thank you for your help.
Michael Bishop
Hm 517-321-4568
Wk 517-321-4144
[email-masked]